# GstVulkanDescriptorPool

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanDescriptorPool

### Members

`parent` (GstObject) –

the parent GstObject

`device` (GstVulkanDevice *) –

the GstVulkanDevice for descriptor sets

`pool` (VkDescriptorPool) –

the vulksn descriptor pool handle

Since : 1.18

### Class structure

#### GstVulkanDescriptorPoolClass

##### Fields

`parent_class` (GstObjectClass) –

the parent GstObjectClass

Since : 1.18

### GstVulkan.VulkanDescriptorPoolClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent Gst.ObjectClass

Since : 1.18

### GstVulkan.VulkanDescriptorPoolClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent Gst.ObjectClass

Since : 1.18

## GstVulkan.VulkanDescriptorPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDescriptorPool

### Members

`parent` (Gst.Object) –

the parent Gst.Object

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice for descriptor sets

`pool` (Vulkan.DescriptorPool) –

the vulksn descriptor pool handle

Since : 1.18

## GstVulkan.VulkanDescriptorPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDescriptorPool

### Members

`parent` (Gst.Object) –

the parent Gst.Object

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice for descriptor sets

`pool` (Vulkan.DescriptorPool) –

the vulksn descriptor pool handle

Since : 1.18

### Constructors

#### gst_vulkan_descriptor_pool_new_wrapped

    GstVulkanDescriptorPool *
    gst_vulkan_descriptor_pool_new_wrapped (GstVulkanDevice * device,
                                            VkDescriptorPool pool,
                                            gsize max_sets)

Parameters:

`device` –

a GstVulkanDevice

`pool` ( [transfer: full]) –

a `VkDescriptorPool`

`max_sets` –

maximum descriptor sets allocatable wit pool

Returns ( [transfer: full]) –

a new GstVulkanDescriptorPool

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.prototype.new_wrapped

    function GstVulkan.VulkanDescriptorPool.prototype.new_wrapped(device: GstVulkan.VulkanDevice, pool: Vulkan.DescriptorPool, max_sets: Number): {
        // javascript wrapper for 'gst_vulkan_descriptor_pool_new_wrapped'
    }

Parameters:

`device` (GstVulkan.VulkanDevice) –

a GstVulkan.VulkanDevice

`pool` (Vulkan.DescriptorPool) –

a `VkDescriptorPool`

`max_sets` (Number) –

maximum descriptor sets allocatable wit pool

Returns (GstVulkan.VulkanDescriptorPool) –

a new GstVulkan.VulkanDescriptorPool

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.new_wrapped

    def GstVulkan.VulkanDescriptorPool.new_wrapped (device, pool, max_sets):
        #python wrapper for 'gst_vulkan_descriptor_pool_new_wrapped'

Parameters:

`device` (GstVulkan.VulkanDevice) –

a GstVulkan.VulkanDevice

`pool` (Vulkan.DescriptorPool) –

a `VkDescriptorPool`

`max_sets` (int) –

maximum descriptor sets allocatable wit pool

Returns (GstVulkan.VulkanDescriptorPool) –

a new GstVulkan.VulkanDescriptorPool

Since : 1.18

### Methods

#### gst_vulkan_descriptor_pool_create

    GstVulkanDescriptorSet *
    gst_vulkan_descriptor_pool_create (GstVulkanDescriptorPool * pool,
                                       guint n_layouts,
                                       GstVulkanHandle ** layouts,
                                       GError ** error)

Parameters:

`pool` –

a GstVulkanDescriptorPool

`n_layouts` –

number of layouts

`layouts` ( [array length=n_layouts]) –

list of GstVulkanHandle containing descriptor set layouts

`error` –

a GError

Returns –

a new GstVulkanDescriptorSet

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.prototype.create

    function GstVulkan.VulkanDescriptorPool.prototype.create(n_layouts: Number, layouts: [ GstVulkan.VulkanHandle ]): {
        // javascript wrapper for 'gst_vulkan_descriptor_pool_create'
    }

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

`n_layouts` (Number) –

number of layouts

`layouts` ([ GstVulkan.VulkanHandle ]) –

list of GstVulkan.VulkanHandle containing descriptor set layouts

Returns (GstVulkan.VulkanDescriptorSet) –

a new GstVulkan.VulkanDescriptorSet

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.create

    @raises(GLib.GError)
    def GstVulkan.VulkanDescriptorPool.create (self, n_layouts, layouts):
        #python wrapper for 'gst_vulkan_descriptor_pool_create'

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

`n_layouts` (int) –

number of layouts

`layouts` ([ GstVulkan.VulkanHandle ]) –

list of GstVulkan.VulkanHandle containing descriptor set layouts

Returns (GstVulkan.VulkanDescriptorSet) –

a new GstVulkan.VulkanDescriptorSet

Since : 1.18

#### gst_vulkan_descriptor_pool_get_device

    GstVulkanDevice *
    gst_vulkan_descriptor_pool_get_device (GstVulkanDescriptorPool * pool)

Parameters:

`pool` –

a GstVulkanDescriptorPool

Returns ( [transfer: full]) –

the parent GstVulkanDevice for this descriptor pool

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.prototype.get_device

    function GstVulkan.VulkanDescriptorPool.prototype.get_device(): {
        // javascript wrapper for 'gst_vulkan_descriptor_pool_get_device'
    }

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

Returns (GstVulkan.VulkanDevice) –

the parent GstVulkan.VulkanDevice for this descriptor pool

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.get_device

    def GstVulkan.VulkanDescriptorPool.get_device (self):
        #python wrapper for 'gst_vulkan_descriptor_pool_get_device'

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

Returns (GstVulkan.VulkanDevice) –

the parent GstVulkan.VulkanDevice for this descriptor pool

Since : 1.18

#### gst_vulkan_descriptor_pool_get_max_sets

    gsize
    gst_vulkan_descriptor_pool_get_max_sets (GstVulkanDescriptorPool * pool)

Parameters:

`pool` –

a GstVulkanDescriptorPool

Returns –

the maximum number of sets allocatable from pool

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.prototype.get_max_sets

    function GstVulkan.VulkanDescriptorPool.prototype.get_max_sets(): {
        // javascript wrapper for 'gst_vulkan_descriptor_pool_get_max_sets'
    }

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

Returns (Number) –

the maximum number of sets allocatable from pool

Since : 1.18

#### GstVulkan.VulkanDescriptorPool.get_max_sets

    def GstVulkan.VulkanDescriptorPool.get_max_sets (self):
        #python wrapper for 'gst_vulkan_descriptor_pool_get_max_sets'

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –

a GstVulkan.VulkanDescriptorPool

Returns (int) –

the maximum number of sets allocatable from pool

Since : 1.18

The results of the search are